package com.weather.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 产品存储ftp
 * </p>
 *
 * @author feng
 * @since 2023-09-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="WeaAuditRotaInfo对象", description="审核值班表")
public class WeaAuditRotaInfo implements Serializable {

    private static final long serialVersionUID = 1L;



    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    @ApiModelProperty(value = "审核值班人id")
    private String rotaPersonId;


    @ApiModelProperty(value = "年")
    private String rotaYear;



    @ApiModelProperty(value = "月")
    private String rotaMonth;

    @ApiModelProperty(value = "审核用户名")
    private String name;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "创建人id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人id")
    private Long updateId;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;



    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getRotaYear() {
        return rotaYear;
    }

    public void setRotaYear(String rotaYear) {
        this.rotaYear = rotaYear;
    }

    public String getRotaMonth() {
        return rotaMonth;
    }

    public void setRotaMonth(String rotaMonth) {
        this.rotaMonth = rotaMonth;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateId() {
        return updateId;
    }

    public void setUpdateId(Long updateId) {
        this.updateId = updateId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    public String getRotaPersonId() {
        return rotaPersonId;
    }

    public void setRotaPersonId(String rotaPersonId) {
        this.rotaPersonId = rotaPersonId;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("rotaPersonId", getRotaPersonId())
                .append("rotaYear", getRotaYear())
                .append("rotaMonth", getRotaMonth())
                .append("name", getName())
                .append("remarks", getRemarks())
                .append("createId", getCreateId())
                .append("createTime", getCreateTime())
                .append("updateId", getUpdateId())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
